/**
 * $Id: ThreadSafe.java,v 1.1 2010/01/05 13:26:17 oboehm Exp $
 *
 * Copyright (c) 2008 by Oliver Boehm
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express orimplied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * (c)reated 16.01.2009 by oliver (ob@oasd.de)
 */
package patterntesting.annotation.concurrent;

import java.lang.annotation.*;

/**
 * If a class is developped "tread-safe" you can use this annotation to
 * document it. This annotation is only for documentation - there is no aspect
 * available which uses it.
 *
 * @{link "http://www.jcip.net/annotations/doc/net/jcip/annotations/ThreadSafe.html"}
 * @author <a href="boehm@javatux.de">oliver</a>
 * @since 16.01.2009
 * @version $Revision: 1.1 $
 */
@Documented
@Target(ElementType.TYPE)
@Retention(RetentionPolicy.RUNTIME)
public @interface ThreadSafe {

}

/**
 * $Log: ThreadSafe.java,v $
 * Revision 1.1  2010/01/05 13:26:17  oboehm
 * begin with 1.0
 *
 * Revision 1.3  2009/12/19 22:34:08  oboehm
 * trailing spaces removed
 *
 * Revision 1.2  2009/09/18 13:54:52  oboehm
 * javadoc warnings fixed
 *
 * Revision 1.1  2009/03/24 08:38:26  oboehm
 * concurrent package moved to patterntesting-concurrent
 *
 * Revision 1.3  2009/01/16 22:02:14  oboehm
 * dependency to net.jcip removed
 *
 * $Source: /cvsroot/patterntesting/PatternTesting10/patterntesting-rt/src/main/java/patterntesting/annotation/concurrent/ThreadSafe.java,v $
 */
