package patterntesting.runtime.db;

import patterntesting.runtime.jmx.Description;

/**
 * This is the interface for the {@link ConnectionMonitor} for the use of this
 * class as MBean. You can monitor DB connections with it and ask the class for
 * open connections.
 *
 * @author oliver (ob@aosd.de)
 * @since 1.3 (02-Jan-2013)
 * @version $Revision: 1.1 $
 */
public interface ConnectionMonitorMBean {

    /**
     * Gets the caller of all connections.
     *
     * @return the all caller
     */
    @Description("get the caller of the open connections")
    public abstract StackTraceElement[] getCallers();

    /**
     * Gets the number of open connections.
     *
     * @return the count
     */
    @Description("get the number of open connections")
    public abstract int getCount();

}
