/*
 * $Id: ValueNotFoundException.java,v 1.3 2012/03/22 18:12:00 oboehm Exp $
 *
 * Copyright (c) 2012 by Oliver Boehm
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express orimplied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * (c)reated 07.02.2012 by oliver (ob@oasd.de)
 */

package patterntesting.runtime.util;

import java.util.regex.Pattern;

/**
 * The Class ValueNotFoundException.
 *
 * @author oliver (ob@aosd.de)
 * @since 1.2.10-YEARS (07.02.2012)
 */
public class ValueNotFoundException extends Exception {

    private static final long serialVersionUID = 20120207L;

    /**
     * Instantiates a new value not found exception.
     *
     * @param msg the msg
     */
    public ValueNotFoundException(final String msg) {
        super(msg);
    }

    /**
     * Instantiates a new value not found exception.
     *
     * @param value the value
     */
    public ValueNotFoundException(final Object value) {
        super((value instanceof Pattern ? "pattern" : "value") + " \"" + value + "\" not found");
    }

}

